List Users Who Have Starred the Repository
GET/api/v5/repos/:owner/:repo/stargazers
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
starred_after string
After the star
starred_before string
Before the star
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idinteger
loginstring
namestring
avatar_urlstring
starred_atstring
[
{
"id": 0,
"login": "string",
"name": "string",
"avatar_url": "string",
"starred_at": "string"
}
]
{
"id": 496,
"login": "xiaogang",
"name": "xiaogang",
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/bc/cd/6bc422546cdf276c147f267030d83a43e927fec67ca66f0b22f7e03556206fa3.jpg",
"starred_at": "2024-11-13T16:15:53.287+08:00"
}